## ros-geometry2 0.5.16

=== geometry2/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(geometry2)
find_package(catkin REQUIRED)
catkin_metapackage()
