=== debian/changelog ===
ros-geometry2 (0.5.16-4) unstable; urgency=medium

  * Disable packages depending on PyKDL (not in Debian)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 23 Apr 2018 07:54:41 +0200

ros-geometry2 (0.5.16-3) unstable; urgency=medium

  * Bugfix release while waiting for the package in NEW.
  * Add dependency of libtf2-kdl-dev to libeigen3-dev (Closes: #894644)
  * Add missing dependencies (Closes: #896236, #896394, #896409, #896413)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 21 Apr 2018 09:22:23 +0200

ros-geometry2 (0.5.16-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Update Vcs URLs to salsa.d.o

  [ Jose Luis Rivero ]
  * Added patch to solve problems with console-bridge 0.4 (Closes: #891518)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 28 Feb 2018 20:26:06 +0100

ros-geometry2 (0.5.16-1) unstable; urgency=medium

  * add Multi-Arch according to hinter
  * Update policy and debhelper versions
  * Update copyright
  * Update watch file
  * Remove parallel (Default for debhelper 10)
  * Rename package to ros-geometry2
  * Add dependencies
  * Add explicit python:any dependency for lintian
  * New upstream version 0.5.16
  * Remoe ros-cmake-modules as a dependency
  * rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 30 Sep 2017 10:31:21 +0200

ros-geometry-experimental (0.5.13-5) unstable; urgency=medium

  * rebuild due to changes in ros-genpy

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 16 Nov 2016 22:17:14 +0100

ros-geometry-experimental (0.5.13-4) unstable; urgency=medium

  * Fix build dependencies (Closes: #835140)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 28 Aug 2016 15:36:55 +0200

ros-geometry-experimental (0.5.13-3) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address

  [ Daniele E. Domenichelli ]
  * Move message definitions in a separate package

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Aug 2016 09:37:53 +0200

ros-geometry-experimental (0.5.13-2) unstable; urgency=medium

  * rebuild for changes in ros-genlisp

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 13 Jul 2016 22:23:10 +0200

ros-geometry-experimental (0.5.13-1) unstable; urgency=medium

  * Fix includes in tf2_eigen
  * Imported Upstream version 0.5.13
  * Refresh patches
  * Update upstream URL

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jul 2016 10:35:38 +0200

ros-geometry-experimental (0.5.12-3) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Adopt to new libexec location in catkin

  [ Leopold Palomo-Avellaneda ]
  * Duplicate dependency

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 24 Feb 2016 07:14:53 +0100

ros-geometry-experimental (0.5.12-2) unstable; urgency=medium

  * Add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 15:04:48 +0100

ros-geometry-experimental (0.5.12-1) unstable; urgency=medium

  * Initial package. Closes: #806278

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Thu, 24 Dec 2015 03:34:58 +0000
