=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-geometry2-$1.tar.gz%" \
    https://github.com/ros/geometry2/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
