## ros-geometry2 0.6.2

=== debian/changelog ===
ros-geometry2 (0.6.2-8) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.2.1.
  * Remove obsolete DEB_EXPORT_BUILDFLAGS from d/rules, covered by dh nowdays.
  * Do not build-depend on all support python(3) versions, since the build
    system only builds for the default one.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 27 Sep 2018 13:59:48 +0200

ros-geometry2 (0.6.2-7) unstable; urgency=medium

  * Build correct Python 3 version of tf2_py
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 17 Aug 2018 18:47:11 +0200

ros-geometry2 (0.6.2-6) unstable; urgency=medium

  * Add Python 3 package
  * Add MA hints

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 06 Jul 2018 22:18:22 +0200

ros-geometry2 (0.6.2-5) unstable; urgency=medium

  * Fix location of cmake files (requires new catkin)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 25 Jun 2018 22:11:20 +0200

ros-geometry2 (0.6.2-4) unstable; urgency=medium

  * Fix dependency-is-not-multi-archified

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 23 Jun 2018 06:58:38 +0200

ros-geometry2 (0.6.2-3) unstable; urgency=medium

  * Fix location of python-tf2 pkgconfig
  * Update MA hints
  * Remove versioned dependencies
  * Add test dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 17 Jun 2018 19:35:57 +0200

ros-geometry2 (0.6.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 28 May 2018 13:30:48 +0200

ros-geometry2 (0.6.2-1) experimental; urgency=medium

  [ Jochen Sprickerhof ]
  * Add missing dependencies
  * Disable packages depending on PyKDL (not in Debian)

  [ Johannes Schauer ]
  * Add autopkgtest

  [ Jochen Sprickerhof ]
  * New upstream version 0.6.2
  * Update Copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 27 May 2018 16:08:51 +0200

ros-geometry2 (0.6.1-1) experimental; urgency=medium

  * Add R³
  * http -> https
  * New upstream version 0.6.1
  * Remove patch included in upstream
  * Update policy and debhelper versions
  * Add dependency of libtf2-kdl-dev to libeigen3-dev (Closes: #894644)
  * Bump soname of libtf2 due to ABI change
  * Add more Multi-Arch tags

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 18 Apr 2018 17:55:50 +0200
