=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 10),
-		catkin, libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
-		python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3), dh-python,
+Build-Depends: debhelper (>= 11), dh-exec,
+		catkin (>= 0.7.14-4), libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
+		python-dev, python3-dev, python-setuptools, dh-python,
 		libgeometry-msgs-dev, ros-actionlib-msgs,
-		libconsole-bridge-dev, python-rospy, libpython-dev,
+		libconsole-bridge-dev, python-rospy,
 		libactionlib-dev, librosconsole-dev,
 		libros-rosgraph-msgs-dev, libxmlrpcpp-dev,
 		libmessage-filters-dev, ros-cmake-modules, libeigen3-dev,
@@ -16,13 +16,14 @@
 		libboost-dev, libboost-thread-dev, libboost-signals-dev,
 		libboost-filesystem-dev, libboost-regex-dev,
 		libroscpp-dev, ros-sensor-msgs
-Standards-Version: 4.1.1
+Standards-Version: 4.2.1
 Section: libs
-Homepage: http://wiki.ros.org/geometry2
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/geometry2
 Vcs-Browser: https://salsa.debian.org/science-team/ros-geometry2
 Vcs-Git: https://salsa.debian.org/science-team/ros-geometry2.git
 
-Package: libtf2-0d
+Package: libtf2-1d
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
@@ -39,7 +40,8 @@
 Package: libtf2-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libtf2-0d ( = ${binary:Version}), libconsole-bridge-dev, libboost-dev, libgeometry-msgs-dev, libroscpp-core-dev, libtf2-msgs-dev
+Multi-Arch: same
+Depends: ${misc:Depends}, libtf2-1d ( = ${binary:Version}), libconsole-bridge-dev, libboost-dev, libgeometry-msgs-dev, libroscpp-core-dev, libtf2-msgs-dev
 Description: Robot OS tf2 transform library - development files
  This package is part of Robot OS (ROS). tf2 is the second generation
  of the transform library, which lets the user keep track of multiple
@@ -53,16 +55,32 @@
 Package: python-tf2
 Section: python
 Architecture: any
+Multi-Arch: same
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, python-rospy, libtf2-dev, python-geometry-msgs
-Description: Robot OS tf2 transform library - Python
- This package is part of Robot OS (ROS). tf2 is the second generation
- of the transform library, which lets the user keep track of multiple
- coordinate frames over time. tf2 maintains the relationship between
- coordinate frames in a tree structure buffered in time, and lets the
- user transform points, vectors, etc between any two coordinate frames
- at any desired point in time. 
- .
- This package contains the Python binding.
+Description: Robot OS tf2 transform library - Python 2
+ This package is part of Robot OS (ROS). tf2 is the second generation
+ of the transform library, which lets the user keep track of multiple
+ coordinate frames over time. tf2 maintains the relationship between
+ coordinate frames in a tree structure buffered in time, and lets the
+ user transform points, vectors, etc between any two coordinate frames
+ at any desired point in time. 
+ .
+ This package contains the Python 2 binding.
+
+Package: python3-tf2
+Section: python
+Architecture: any
+Multi-Arch: same
+Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, python3-rospy, libtf2-dev, python3-geometry-msgs
+Description: Robot OS tf2 transform library - Python 3
+ This package is part of Robot OS (ROS). tf2 is the second generation
+ of the transform library, which lets the user keep track of multiple
+ coordinate frames over time. tf2 maintains the relationship between
+ coordinate frames in a tree structure buffered in time, and lets the
+ user transform points, vectors, etc between any two coordinate frames
+ at any desired point in time. 
+ .
+ This package contains the Python 3 binding.
 
 Package: libtf2-ros0d
 Architecture: any
@@ -97,20 +115,34 @@
 Section: python
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-genpy, python-std-msgs, python-actionlib, libtf2-ros-dev, python-tf2-msgs
-Description: Robot OS binding for tf2 transform library - Python
- This package is part of Robot OS (ROS). tf2 is the second generation
- of the transform library, which lets the user keep track of multiple
- coordinate frames over time. tf2 maintains the relationship between
- coordinate frames in a tree structure buffered in time, and lets the
- user transform points, vectors, etc between any two coordinate frames
- at any desired point in time. 
- .
- This package contains the ROS Python binding to tf2.
+Description: Robot OS binding for tf2 transform library - Python 2
+ This package is part of Robot OS (ROS). tf2 is the second generation
+ of the transform library, which lets the user keep track of multiple
+ coordinate frames over time. tf2 maintains the relationship between
+ coordinate frames in a tree structure buffered in time, and lets the
+ user transform points, vectors, etc between any two coordinate frames
+ at any desired point in time. 
+ .
+ This package contains the ROS Python 2 binding to tf2.
+
+Package: python3-tf2-ros
+Section: python
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs, python3-actionlib, libtf2-ros-dev, python3-tf2-msgs
+Description: Robot OS binding for tf2 transform library - Python 3
+ This package is part of Robot OS (ROS). tf2 is the second generation
+ of the transform library, which lets the user keep track of multiple
+ coordinate frames over time. tf2 maintains the relationship between
+ coordinate frames in a tree structure buffered in time, and lets the
+ user transform points, vectors, etc between any two coordinate frames
+ at any desired point in time. 
+ .
+ This package contains the ROS Python 3 binding to tf2.
 
 Package: ros-tf2-msgs
 Section: devel
-Architecture: any
-Multi-Arch: same
+Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ros-geometry-msgs, ros-actionlib-msgs
 Description: Robot OS messages for tf2 transform library - definitions
  This package is part of Robot OS (ROS). tf2 is the second generation
@@ -141,19 +173,34 @@
 Section: python
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-genpy, python-geometry-msgs, python-actionlib-msgs
-Description: Robot OS messages for tf2 transform library - Python
- This package is part of Robot OS (ROS). tf2 is the second generation
- of the transform library, which lets the user keep track of multiple
- coordinate frames over time. tf2 maintains the relationship between
- coordinate frames in a tree structure buffered in time, and lets the
- user transform points, vectors, etc between any two coordinate frames
- at any desired point in time. 
- .
- This package contains the Python code.
+Description: Robot OS messages for tf2 transform library - Python 2
+ This package is part of Robot OS (ROS). tf2 is the second generation
+ of the transform library, which lets the user keep track of multiple
+ coordinate frames over time. tf2 maintains the relationship between
+ coordinate frames in a tree structure buffered in time, and lets the
+ user transform points, vectors, etc between any two coordinate frames
+ at any desired point in time. 
+ .
+ This package contains the Python 2 code.
+
+Package: python3-tf2-msgs
+Section: python
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy, python3-geometry-msgs, python3-actionlib-msgs
+Description: Robot OS messages for tf2 transform library - Python 3
+ This package is part of Robot OS (ROS). tf2 is the second generation
+ of the transform library, which lets the user keep track of multiple
+ coordinate frames over time. tf2 maintains the relationship between
+ coordinate frames in a tree structure buffered in time, and lets the
+ user transform points, vectors, etc between any two coordinate frames
+ at any desired point in time. 
+ .
+ This package contains the Python 3 code.
 
 Package: cl-tf2-msgs
 Section: lisp
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, cl-geometry-msgs, cl-actionlib-msgs
 Description: Robot OS tf2 transform library messages - LISP
  This package is part of Robot OS (ROS). tf2 is the second generation
@@ -200,65 +247,16 @@
 Section: python
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-genpy, python-sensor-msgs, python-roslib
-Description: Robot OS sensor messages for tf2 transform library - Python
- This package is part of Robot OS (ROS). tf2 is the second generation
- of the transform library, which lets the user keep track of multiple
- coordinate frames over time. tf2 maintains the relationship between
- coordinate frames in a tree structure buffered in time, and lets the
- user transform points, vectors, etc between any two coordinate frames
- at any desired point in time. 
- .
- This package contains the Python code to transform sensor_msgs with tf2.
-
-# tf2_bullet  
-Package: libtf2-bullet-dev
-Section: libdevel
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, libgeometry-msgs-dev, libtf2-dev
-Description: Robot OS tf2 transform library for Bullet - dev files
- This package is part of Robot OS (ROS). tf2 is the second generation
- of the transform library, which lets the user keep track of multiple
- coordinate frames over time. tf2 maintains the relationship between
- coordinate frames in a tree structure buffered in time, and lets the
- user transform points, vectors, etc between any two coordinate frames
- at any desired point in time. 
- .
- This package contains the development files for libtf2 for Bullet.
-
-#tf2_eigen
-Package: libtf2-eigen-dev
-Section: libdevel
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, libeigen3-dev, libgeometry-msgs-dev, libtf2-dev
-Description: Robot OS tf2 transform library for Eigen - dev files
- This package is part of Robot OS (ROS). tf2 is the second generation
- of the transform library, which lets the user keep track of multiple
- coordinate frames over time. tf2 maintains the relationship between
- coordinate frames in a tree structure buffered in time, and lets the
- user transform points, vectors, etc between any two coordinate frames
- at any desired point in time. 
- .
- This package contains development files to convert between libtf2 and Eigen.
-
-#tf2_geometry_msgs
-Package: libtf2-geometry-msgs-dev
-Section: libdevel
-Architecture: any
-Multi-Arch: same
-Depends: liborocos-kdl-dev, ${misc:Depends}, libgeometry-msgs-dev, libtf2-ros-dev, libtf2-dev
-Description: Robot OS geometry messages for tf2 transform library - dev files
- This package is part of Robot OS (ROS). tf2 is the second generation
- of the transform library, which lets the user keep track of multiple
- coordinate frames over time. tf2 maintains the relationship between
- coordinate frames in a tree structure buffered in time, and lets the
- user transform points, vectors, etc between any two coordinate frames
- at any desired point in time. 
- .
- This package contains the development files to transform geometry messages
- to tf2.
-
-#Package: python-tf2-geometry-msgs
-#Section: python
-#Architecture: all
+Description: Robot OS sensor messages for tf2 transform library - Python 2
+ This package is part of Robot OS (ROS). tf2 is the second generation
+ of the transform library, which lets the user keep track of multiple
+ coordinate frames over time. tf2 maintains the relationship between
+ coordinate frames in a tree structure buffered in time, and lets the
+ user transform points, vectors, etc between any two coordinate frames
+ at any desired point in time. 
+ .
+ This package contains the Python 2 code to transform sensor_msgs with tf2.
+
+Package: python3-tf2-sensor-msgs
+Section: python
+Architecture: all
