=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake --with python2,python3

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCATKIN_ENABLE_TESTING=OFF
