=== debian/tests/control ===
Tests: run-tests
Restrictions: allow-stderr
Depends: @, catkin, g++
